Summary:	Automated wireless auditor
Name:		wifite
Version:	2.7.0
Release:	%mkrel 2
License:	GPLv2
Group:		Networking/Other
URL:		https://github.com/kimocoder/wifite2
Source0:        https://github.com/kimocoder/wifite2/archive/%{version}/wifite2-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	python3-setuptools
Requires:	aircrack-ng
Requires:	wireless-tools
Requires:	reaver
Recommends:	pyrit
Recommends:	cowpatty
Recommends:	tshark
Provides:       wifite2 = %{version}-%{release}

%description
To attack multiple WEP, WPA, and WPS encrypted networks in a row. This tool is
customizable to be automated with only a few arguments. Wifite aims to be the
"set it and forget it" wireless auditing tool.

%prep
%autosetup -n wifite2-%{version}
# not needed, this is in core
sed -i "/argparse==1.4.0/d" requirements.txt
sed -i "s/, 'argparse'//" setup.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wifite

%files -f %pyproject_files
%doc *.md
%{_bindir}/%{name}
%{_datadir}/dict/wordlist-probable.txt


%changelog
* Mon Dec 23 2024 papoteur <papoteur> 2.7.0-2.mga10
+ Revision: 2129326
- remove argparse requirement

* Wed Dec 04 2024 daviddavid <daviddavid> 2.7.0-1.mga10
+ Revision: 2121523
- new version: 2.7.0
- switch to pyproject

* Sat Jan 13 2024 papoteur <papoteur> 2.2.5-5.mga10
+ Revision: 2031064
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.2.5-4.mga9
+ Revision: 1822671
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 2.2.5-3.mga9
+ Revision: 1774829
- rebuild for python 3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 2.2.5-2.mga9
+ Revision: 1708569
- rebuild for python 3.9

* Fri Mar 27 2020 wally <wally> 2.2.5-1.mga8
+ Revision: 1561202
- switch to wifite2
- new version 2.2.5
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0r85-6.mga7
+ Revision: 1277141
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.0r85-5.mga6
+ Revision: 945381
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0r85-4.mga5
+ Revision: 750237
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0r85-3.mga5
+ Revision: 690311
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Aug 12 2014 juancho <juancho> 2.0r85-2.mga5
+ Revision: 661935
- Added Suggests for pyrit and cowpatty.

* Tue Aug 12 2014 juancho <juancho> 2.0r85-1.mga5
+ Revision: 661915
- imported package wifite


* Sun Dec 23 2012 Huaren Zhong <huaren.zhong@gmail.com> - 2.0r85
- Rebuild for Fedora
